/*******************************************************************************
 * Copyright (c) 2004 IBM Corporation and others.
 * All rights reserved. This program and the accompanying materials 
 * are made available under the terms of the Common Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/cpl-v10.html
 * 
 * Contributors:
 *     IBM Corporation - initial API and implementation
 *******************************************************************************/
package org.eclipse.contribution.visualiser.google;

import org.eclipse.contribution.visualiser.palettes.DefaultVisualiserPalette;
import org.eclipse.swt.graphics.RGB;

/**
 * A set of colors to match those used by Google's cache highlighting system.
 */
public class GoogleVisualiserPalette extends DefaultVisualiserPalette {

	protected static RGB[] rgbList = new RGB[] { new RGB(255, 255, 102),
			new RGB(160, 255, 255), new RGB(153, 255, 153),
			new RGB(255, 153, 153), new RGB(255, 102, 255), new RGB(136, 0, 0),
			new RGB(0, 170, 0), new RGB(136, 104, 0), new RGB(0, 70, 153),
			new RGB(153, 0, 153) };

	/*
	 * (non-Javadoc)
	 * 
	 * @see org.eclipse.contribution.visualiser.interfaces.IVisualiserPalette#getRGBValues()
	 */
	public RGB[] getRGBValues() {
		return rgbList;
	}

}