/*******************************************************************************
 * Copyright (c) 2004 IBM Corporation and others.
 * All rights reserved. This program and the accompanying materials 
 * are made available under the terms of the Common Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/cpl-v10.html
 * 
 * Contributors:
 *     IBM Corporation - initial API and implementation
 *******************************************************************************/
package org.eclipse.contribution.visualiser.google;

import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

/**
 * Encapsulates information for a single search result.
 */
public class SearchResult {

	private String url;

	private String name;

	private int length;

	private Map matches = new HashMap();

	public void addMatch(String keyword, int position) {
		List matchList = (List) matches.get(keyword);
		if (matchList == null) {
			matchList = new ArrayList();
			matches.put(keyword, matchList);
		}
		matchList.add(new Integer(position));
	}

	public String[] getKeywords() {
		return (String[]) matches.keySet().toArray(new String[] {});
	}

	public List getMatches(String keyword) {
		return (List) matches.get(keyword);
	}

	/**
	 * @return Returns the url.
	 */
	public String getUrl() {
		return url;
	}

	/**
	 * @param url
	 *            The url to set.
	 */
	public void setUrl(String url) {
		this.url = url;
	}

	/**
	 * @return Returns the length.
	 */
	public int getLength() {
		return length;
	}

	/**
	 * @param length
	 *            The length to set.
	 */
	public void setLength(int length) {
		this.length = length;
	}

	/**
	 * @return Returns the name.
	 */
	public String getName() {
		return name;
	}

	/**
	 * @param name
	 *            The name to set.
	 */
	public void setName(String name) {
		this.name = name;
	}

}