/*******************************************************************************
 * Copyright (c) 2004 IBM Corporation and others.
 * All rights reserved. This program and the accompanying materials 
 * are made available under the terms of the Common Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/cpl-v10.html
 * 
 * Contributors:
 *     IBM Corporation - initial API and implementation
 *******************************************************************************/
package org.eclipse.contribution.visualiser.google;

import org.eclipse.contribution.visualiser.core.ProviderDefinition;
import org.eclipse.contribution.visualiser.core.ProviderManager;
import org.eclipse.ui.IPageLayout;
import org.eclipse.ui.IPerspectiveFactory;

/**
 * Creates the Search Visualization perspective
 */
public class SearchVisualizationPerspectiveFactory implements
		IPerspectiveFactory {

	/*
	 * (non-Javadoc)
	 * 
	 * @see org.eclipse.ui.IPerspectiveFactory#createInitialLayout(org.eclipse.ui.IPageLayout)
	 */
	public void createInitialLayout(IPageLayout layout) {
		layout.addView("org.eclipse.contribution.visualiser.google.SearchView",
				IPageLayout.TOP, (float) 0.65, IPageLayout.ID_EDITOR_AREA);
		layout.addView("org.eclipse.contribution.visualiser.views.Visualiser",
				IPageLayout.RIGHT, (float) 0.25,
				"org.eclipse.contribution.visualiser.google.SearchView");
		layout.addView("org.eclipse.contribution.visualiser.views.Menu",
				IPageLayout.RIGHT, (float) 0.75,
				"org.eclipse.contribution.visualiser.views.Visualiser");

		// Tell the Visualiser to switch to the Google provider
		ProviderDefinition[] definitions = ProviderManager
				.getAllProviderDefinitions();
		for (int i = 0; i < definitions.length; i++) {
			if (definitions[i].getMarkupInstance() instanceof GoogleMarkupProvider
					&& definitions[i].getContentProvider() instanceof GoogleContentProvider) {
				definitions[i].setEnabled(true);
			} else {
				definitions[i].setEnabled(false);
			}
		}
	}

}