/*******************************************************************************
 * Copyright (c) 2004 IBM Corporation and others.
 * All rights reserved. This program and the accompanying materials 
 * are made available under the terms of the Common Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/cpl-v10.html
 * 
 * Contributors:
 *     IBM Corporation - initial API and implementation
 *******************************************************************************/
package org.eclipse.contribution.visualiser.google;

import java.util.Iterator;
import java.util.List;

/**
 * Simple test of the query engine.
 */
public class TestQueryEngine {

	private static String key = ""; // Enter your Google license key here

	public static void main(String[] args) {
		try {
			QueryEngine qe = new QueryEngine();
			qe.setKey(key);
			List results = qe.doQuery("java eclipse ant", null);
			System.out.println("got results");
			for (Iterator iter = results.iterator(); iter.hasNext();) {
				SearchResult result = (SearchResult) iter.next();
				System.out.println("result: " + result.getUrl());
				System.out.println("keywords:");
				String[] kw = result.getKeywords();
				for (int j = 0; j < kw.length; j++) {
					List m = result.getMatches(kw[j]);
					System.out.println("    " + kw[j] + ": " + m);
				}
				System.out.println("");

			}
		} catch (SearchException se) {
			System.out.println("The search failed with the following problem:");
			System.out.println(se.getMessage());
		}
	}

}